Bug 1570237 - Right clicking on some places on the left edge of the body of a page doesn't open the context menu.
Summary: Right clicking on some places on the left edge of the body of a page doesn't ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 27
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-21 02:17 UTC by redhat
Modified: 2018-11-30 23:34 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 23:34:35 UTC
Type: Bug


Attachments (Terms of Use)

Description redhat 2018-04-21 02:17:15 UTC
Description of problem:
    Right clicking on some places on the left edge of the body of a page doesn't open the context menu.


Version-Release number of selected component (if applicable):
    Firefox 59.0.2 64-bits


How reproducible:
    This behavior is very easy to reproduce.

Steps to Reproduce:
1. Open Firefox on any page.
2. Click on the left edge of the body of the page, several times, on different places.

Actual results:
The context menu doesn't always show up.

Expected results:
The expected the context menu to appear every time.

Additional info:
- This unexpected behavior doesn't happen if using the Firefox archive from mozilla.org
- Already reported to Mozilla, but they might end up closing it: https://bugzilla.mozilla.org/show_bug.cgi?id=1455792
- It happens on every page.
- I removed the scroll bar on a few pages and the same unexpected behavior was reproduced using the right edge of the body of the page.
- I trigger this behavior using the right click because it's easier to see if it works or not, however I tried capturing the left clicks as well, and the same unexpected behavior is present.

Comment 1 redhat 2018-04-21 02:27:48 UTC
It's easier to reproduce if the window is maximized, or at least tiled against the corresponding screen edge.

Comment 2 redhat 2018-04-21 03:24:44 UTC
I'm using GNOME by the way, I asked a few people on IRC to try reproducing this behavior, and using KDE at least they weren't able to.

Comment 3 redhat 2018-04-21 12:17:54 UTC
I tested some more, and nautilus has similar behavior when snapped against one of the screen sides(not tiled), gedit and transmission have similar behavior but also show it when tiled. This might be a GNOME issue after all.

Comment 4 Ben Cotton 2018-11-27 13:43:40 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2018-11-30 23:34:35 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.